Bug 1737935 - chromium depends on Python 2
Summary: chromium depends on Python 2
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 11:43 UTC by Lumír Balhar
Modified: 2019-09-09 14:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 11:43:03 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for chromium's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to chromium.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Tomas Popela 2019-08-09 07:45:32 UTC
Hi Lumír,

(In reply to Lumír Balhar from comment #0)
> - What is the reason for the Python2 dependency? (Is it software written in
> Python, or does it just provide Python bindings, or use Python in the build
> system or test runner?) 

Chromium uses Python 2.7 in the build system.

> - What are the upstream/community plans/timelines regarding Python 3?

They started to work on it recently - see https://bugs.chromium.org/p/chromium/issues/detail?id=942720

Until that's done, we will probably need some sort of exception if possible.

Comment 2 Lumír Balhar 2019-08-09 08:41:56 UTC
Thanks for info. Don't forget to request an exception rather sooner than later.

Comment 3 Ben Cotton 2019-08-13 16:50:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 17:19:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Tom "spot" Callaway 2019-08-15 18:28:48 UTC
(In reply to Lumír Balhar from comment #2)
> Thanks for info. Don't forget to request an exception rather sooner than
> later.

How exactly should I do this?

Comment 6 Lumír Balhar 2019-08-16 04:42:26 UTC
Just open a Fesco issue with an explanation. For example: https://pagure.io/fesco/issue/2208

Comment 7 Miro Hrončok 2019-08-23 17:41:53 UTC
see https://pagure.io/fesco/issue/2214

Comment 8 Miro Hrončok 2019-09-09 14:41:29 UTC
Exception for chromium and python-psutil was granted.

Should we keep this open to eventually switch to Python 3?


Note You need to log in before you can comment on or make changes to this bug.